stages:
  - deploy

aws-ec2-deploy:
  image: alpine
  stage: deploy
  before_script:
    - apk add openssh-client
    - eval $(ssh-agent -s)
    - echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add -
    - mkdir -p ~/.ssh
    - chmod 700 ~/.ssh
  script:
    - ssh -o StrictHostKeyChecking=no ubuntu@54.179.108.193 "cd /usr/share/nginx/html/abs-microservices-erlang && sudo git pull && exit"

